Difference between revisions of "VE/Installing"

From Eclipsepedia

< VE
Jump to: navigation, search
Line 1: Line 1:
 
Step by step installation of VE. Please edit me and add the steps.  Thank!
 
Step by step installation of VE. Please edit me and add the steps.  Thank!
  
 +
 +
Contributed by Chris Dolan:
  
 
I got it to work once I figured out the JEM stuff.  In the end, these are the steps that worked for me.  Note: these are likely not the minimal steps, just one working solution.
 
I got it to work once I figured out the JEM stuff.  In the end, these are the steps that worked for me.  Note: these are likely not the minimal steps, just one working solution.
Contributed by Chris Dolan
+
 
{
+
 
 
1) Fully uninstall any old version of VE or JEM (not just disable)
 
1) Fully uninstall any old version of VE or JEM (not just disable)
 +
 
2) via the Europa update site, install prerequisites for WTP:
 
2) via the Europa update site, install prerequisites for WTP:
 +
 
2a) org.eclipse.datatools
 
2a) org.eclipse.datatools
 +
 
2b) org.eclipse.wst
 
2b) org.eclipse.wst
 +
 
2c) org.eclipse.jst
 
2c) org.eclipse.jst
 +
 
2d) org.eclipse.jpt
 
2d) org.eclipse.jpt
 +
 
3) Install the 3.0M1 milestone release of WTP SDK, which is the authoritative source of JEM 2.0.0:
 
3) Install the 3.0M1 milestone release of WTP SDK, which is the authoritative source of JEM 2.0.0:
 +
 
3a) Go to http://download.eclipse.org/webtools/downloads/
 
3a) Go to http://download.eclipse.org/webtools/downloads/
 +
 
3b) Click the 3.0M1 build
 
3b) Click the 3.0M1 build
 +
 
3c) Download the wtp-sdk zip
 
3c) Download the wtp-sdk zip
 +
 
3d) Unpack the .zip file somewhere
 
3d) Unpack the .zip file somewhere
 +
 
3e) In that extracted folder, there is an "eclipse" subdir
 
3e) In that extracted folder, there is an "eclipse" subdir
3f) In that subdir, create a file called ".eclipseextension"
 
3g) Put the following three lines in that file:
 
  
name=WTP
+
3f) In that subdir, create a file called ".eclipseextension"
id=org.eclipse.wst
+
version=2.0.0.v200706041905
+
  
 
3h) In eclipse, go to Help > Software Updates > Manage Configuration
 
3h) In eclipse, go to Help > Software Updates > Manage Configuration
 +
 
3i) Click "Add an Extension Location"
 
3i) Click "Add an Extension Location"
 +
 
3j) Select the WTP "eclipse" subdir from above
 
3j) Select the WTP "eclipse" subdir from above
 +
 
4) Install the build of VE:
 
4) Install the build of VE:
 +
 
4a) Go to http://sourceforge.net/project/showfiles.php?group_id=131065&package_id=154855
 
4a) Go to http://sourceforge.net/project/showfiles.php?group_id=131065&package_id=154855
 +
 
4b) Click "Visual Editor patched as in bug 202562"
 
4b) Click "Visual Editor patched as in bug 202562"
 +
 
4c) Click org.eclipse.visualeditor-1.3.0.200709121813.zip
 
4c) Click org.eclipse.visualeditor-1.3.0.200709121813.zip
 +
 
4d) Unpack the .zip file somewhere
 
4d) Unpack the .zip file somewhere
 +
 
4e) In that extracted folder, there is an " org.eclipse.visualeditor-1.3.0.200709121813" subdir
 
4e) In that extracted folder, there is an " org.eclipse.visualeditor-1.3.0.200709121813" subdir
 +
 
4f) Rename that subdir to "eclipse"
 
4f) Rename that subdir to "eclipse"
 +
 
4g) In that "eclipse" subdir, create a file called ".eclipseextension"
 
4g) In that "eclipse" subdir, create a file called ".eclipseextension"
4h) Put the following three lines in that file:
 
  
name=Visual Editor
 
id=org.eclipse.visualeditor
 
version=1.3.0.200709121813
 
  
 
4i) In eclipse, go to Help > Software Updates > Manage Configuration
 
4i) In eclipse, go to Help > Software Updates > Manage Configuration
 +
 
4j) Click "Add an Extension Location"
 
4j) Click "Add an Extension Location"
 +
 
4k) Select the VE "eclipse" subdir from above
 
4k) Select the VE "eclipse" subdir from above
}
 

Revision as of 19:32, 26 September 2007

Step by step installation of VE. Please edit me and add the steps. Thank!


Contributed by Chris Dolan:

I got it to work once I figured out the JEM stuff. In the end, these are the steps that worked for me. Note: these are likely not the minimal steps, just one working solution.


1) Fully uninstall any old version of VE or JEM (not just disable)

2) via the Europa update site, install prerequisites for WTP:

2a) org.eclipse.datatools

2b) org.eclipse.wst

2c) org.eclipse.jst

2d) org.eclipse.jpt

3) Install the 3.0M1 milestone release of WTP SDK, which is the authoritative source of JEM 2.0.0:

3a) Go to http://download.eclipse.org/webtools/downloads/

3b) Click the 3.0M1 build

3c) Download the wtp-sdk zip

3d) Unpack the .zip file somewhere

3e) In that extracted folder, there is an "eclipse" subdir

3f) In that subdir, create a file called ".eclipseextension"

3h) In eclipse, go to Help > Software Updates > Manage Configuration

3i) Click "Add an Extension Location"

3j) Select the WTP "eclipse" subdir from above

4) Install the build of VE:

4a) Go to http://sourceforge.net/project/showfiles.php?group_id=131065&package_id=154855

4b) Click "Visual Editor patched as in bug 202562"

4c) Click org.eclipse.visualeditor-1.3.0.200709121813.zip

4d) Unpack the .zip file somewhere

4e) In that extracted folder, there is an " org.eclipse.visualeditor-1.3.0.200709121813" subdir

4f) Rename that subdir to "eclipse"

4g) In that "eclipse" subdir, create a file called ".eclipseextension"


4i) In eclipse, go to Help > Software Updates > Manage Configuration

4j) Click "Add an Extension Location"

4k) Select the VE "eclipse" subdir from above